pca.array {bio3d} | R Documentation

## Principal Component Analysis of an array of matrices

### Description

Calculate the principal components of an array of correlation or covariance matrices.

### Usage

    ## S3 method for class 'array'
    pca(x, use.svd = TRUE, ...)

### Arguments

`x` | an array of matrices, e.g. correlation or covariance matrices as obtained from functions `dccm` or `enma2covs`.
`use.svd` | logical, if TRUE singular value decomposition (SVD) is called instead of eigenvalue decomposition.
`...` | .

### Details

This function performs PCA of symmetric matrices, such as distance matrices from an ensemble of crystallographic structures, residue-residue cross-correlations or covariance matrices derived from ensemble NMA or MD simulation replicates, and so on. The ‘upper triangular’ region of the matrix is regarded as a long vector of random variables. The function returns M eigenvalues and eigenvectors with each eigenvector having the dimension N(N-1)/2, where M is the number of matrices and N the number of rows/columns of matrices.

### Value

Returns a list with components equivalent to the output from `pca.xyz`.

### Author(s)

Xin-Qiu Yao, Lars Skjaerven

### References

Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696.

### See Also

`pca.xyz`

[Package bio3d version 2.3-4 Index]